Cell[][] tictactoc;  
int cols = 3;  
int rows = 3;

void setup()  {   
  size(300,300);
  smooth();

  int w = width/cols;
  int h = height/rows;

  tictactoc = new Cell[cols][rows];
  for (int i = 0; i < cols; i++) {
    for (int j = 0; j < rows; j++) {
      tictactoc[i][j] = new Cell(i*w,j*h,w,h);
    }   
  }   
}   

void draw()  {   
  background(255);
  for (int i = 0; i < cols; i++) {
    for (int j = 0; j < rows; j++) {
      tictactoc[i][j].display();  
    }   
  }   
}   

void mousePressed()  {   
  for (int i = 0; i < cols; i++) {
    for (int j = 0; j < rows; j++) {
      tictactoc[i][j].click(mouseX, mouseY);  
    }   
  }    
}



