class Cell  {   
  float x,y;  
  float w,h;  
  int state;  
  Cell(float tempX, float tempY, float tempW, float tempH)  {   
    x = tempX;
    y = tempY;
    w = tempW;
    h = tempH;
    state = 0; 
  }   

  void click(int xx, int yy)  {   
    if (xx > x && xx < x + w && yy > y && yy < y + h) {
      state = (state + 1) % 3; 
    }
  }   
  void display()  {   
    rect(x,y,w,h);
    if (state == 0) {     
    } 
    else if (state == 1) {
      ellipse(x+w/2,y+h/2,w,h);
    } 
    else if (state == 2) {
      line(x,y,x+w,y+h);
      line(x+w,y,x,y+h); 
    }
  }
}



